NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
NXOpen.UF.UFTurn Member List

This is the complete list of members for NXOpen.UF.UFTurn, including all inherited members.

AskCutRegionOfIndex(NXOpen.Tag oper_tag, int index_of_cut_region, out double area_of_cut_region,[Out] double[] selection_point_for_cut_region, out bool cut_region_exists, out string message)NXOpen.UF.UFTurninline
AskCutRegionsExist(NXOpen.Tag oper_tag, out int number_of_cut_regions_found, out double total_area_of_cut_regions_found, out CutRegionsLocation cut_regions_location, out string message)NXOpen.UF.UFTurninline
AsyncProcessMessage(IMessage msg, IMessageSink replySink)NXOpen.Utilities.NXRemotableObjectinline
CreateBlankFromBoundary(NXOpen.Tag object_tag, int count, NXOpen.Tag[] curves, ref UFCambnd.BoundaryData boundary_data, UFCambnd.AppData[] app_data, double stock_equi, double stock_face, double stock_radial)NXOpen.UF.UFTurninline
CreateParametricBlank(NXOpen.Tag object_tag, ParamTurnWorkpieceType workpiece_type, ParamTurnWorkpieceDirection direction, NXOpen.Tag mounting_point, double length, double outer_diameter, double inner_diameter)NXOpen.UF.UFTurninline
CutRegionsLocation enum nameNXOpen.UF.UFTurn
initialize()NXOpen.Utilities.NXRemotableObjectinlineprotected
IpwBox(NXOpen.Tag oper_tag, out double length, out double diameter,[Out] double[] bottom_left_in_plane,[Out] double[] top_right_in_plane,[Out] double[] bottom_left_pnt3,[Out] double[] bottom_right_pnt3,[Out] double[] top_left_pnt3,[Out] double[] top_right_pnt3, out string message)NXOpen.UF.UFTurninline
MapAngleFromWcs(NXOpen.Tag oper_tag, double wcs_angle)NXOpen.UF.UFTurninline
MapAngleToWcs(NXOpen.Tag oper_tag, double scs_angle)NXOpen.UF.UFTurninline
MapPnt2FromWcs(NXOpen.Tag oper_tag, double[] wcs_pnt2,[Out] double[] scs_pnt2)NXOpen.UF.UFTurninline
MapPnt2ToAcs(NXOpen.Tag oper_tag, double[] scs_pnt2,[Out] double[] acs_pnt3)NXOpen.UF.UFTurninline
MapPnt2ToWcs(NXOpen.Tag oper_tag, double[] scs_pnt2,[Out] double[] wcs_pnt2)NXOpen.UF.UFTurninline
MapPnt3FromAcs(NXOpen.Tag oper_tag, double[] acs_pnt3,[Out] double[] scs_pnt2)NXOpen.UF.UFTurninline
MapTooltrackingpointFromWcs(NXOpen.Tag oper_tag, int wcs_tooltrackingpoint)NXOpen.UF.UFTurninline
MapTooltrackingpointToWcs(NXOpen.Tag oper_tag, int scs_tooltrackingpoint)NXOpen.UF.UFTurninline
MapVec2FromWcs(NXOpen.Tag oper_tag, double[] wcs_vec2,[Out] double[] scs_vec2)NXOpen.UF.UFTurninline
MapVec2ToAcs(NXOpen.Tag oper_tag, double[] scs_vec2,[Out] double[] acs_vec3)NXOpen.UF.UFTurninline
MapVec2ToWcs(NXOpen.Tag oper_tag, double[] scs_vec2,[Out] double[] wcs_vec2)NXOpen.UF.UFTurninline
MapVec3FromAcs(NXOpen.Tag oper_tag, double[] acs_vec3,[Out] double[] scs_vec2)NXOpen.UF.UFTurninline
NextSinkNXOpen.Utilities.NXRemotableObject
SaveSpinningIpwAsPart(NXOpen.Tag oper_tag, string filename, out string message)NXOpen.UF.UFTurninline
SyncProcessMessage(IMessage msg)NXOpen.Utilities.NXRemotableObjectinline
TeachmodeCreateSubop(NXOpen.Tag oper_tag, ParamTtmoprSubopType subop_type, out NXOpen.Tag subop_tag, out string message)NXOpen.UF.UFTurninline
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.